%if 0%{?el7}
%define dist .el7
%endif

%define realname uavs3d
%define _smp_mflags -j1

Name:           lib%{realname}
Version:        1.1
Release:        1%{?dist}
Summary:        uavs3d is an opensource and cross-platform avs3 decoder, supports AVS3-P2 baseline profile.

License:        BSDv3
URL:            https://github.com/uavs3/uavs3d
Source0:        https://github.com/uavs3/uavs3d/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc gcc-c++ cmake

%description
uavs3d is an opensource and cross-platform avs3 decoder, supports AVS3-P2 baseline profile.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{realname}-%{version}
sed -i 's/set(libdir "lib")/set(libdir "lib64")/g' source/CMakeLists.txt

%build
%{__cmake} . -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
	-DBUILD_SHARED_LIBS=true \
	-DINSTALL_LIB_DIR:PATH=%{_libdir} \
	-DINSTALL_PKGCONFIG_DIR:PATH=%{_libdir}/pkgconfig

%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc
%{__mv} -f $RPM_BUILD_ROOT%{_libdir}/%{name}.so $RPM_BUILD_ROOT%{_libdir}/%{name}.so.1.1
pushd $RPM_BUILD_ROOT%{_libdir}/
%{__ln_s} -f %{name}.so.1.1 %{name}.so.1
%{__ln_s} -f %{name}.so.1.1 %{name}.so
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README.md
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Apr 02 2022 momo-i <webmaster@momo-i.org>
- 
